Page MenuHomePhabricator

Echo: User rights change : Link to specific row of table that is applicable
Closed, ResolvedPublic

Description

I’m now a sysop on frwiki, and I received a notification for that. This notification have a link to fr:Special:ListGroupRights, but that is incomplete : I think it should go direct to the anchor #sysop of the table, because there may be many groups on this page and it can become quite difficult to find one.


See Also:
T57339: "Learn more" link for right change notifications should point to a page about the group

Details

Reference
bz53860
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:56 AM
bzimport added a project: Notifications.
bzimport set Reference to bz53860.
bzimport added a subscriber: Unknown Object (MLST).
Ltrlg created this task.Sep 6 2013, 6:16 PM

Prioritization and scheduling of this bug is tracked on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/246

Mattflaschen-WMF renamed this task from Echo: Status change : incomplete "learn more" link to Echo: User rights change : Link to specific row of table that is applicable.Feb 3 2015, 6:53 PM
Mattflaschen-WMF triaged this task as Lowest priority.
Mattflaschen-WMF set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 28 2015, 1:31 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptSep 21 2016, 4:48 AM

We should do this one, because not all wikis have written a local page about each user-group (many redlinks, e.g. https://kab.wikipedia.org/wiki/Uslig:ListGroupRights currently)

Catrope assigned this task to KMuthu.Sep 21 2016, 7:17 PM
matej_suchanek removed a subscriber: wikibugs-l-list.

Change 312436 had a related patch set uploaded (by Kmuthu):
Make user rights notifications link to added/removed group

https://gerrit.wikimedia.org/r/312436

Change 312436 merged by jenkins-bot:
Make user rights notifications link to added/removed group

https://gerrit.wikimedia.org/r/312436

Etonkovidova added a subscriber: Etonkovidova.EditedSep 27 2016, 7:32 PM

Checked in betalabs - clicking on a notification about right change (add/remove) points to the specific section on Special:ListGroupRights e.g. when a user is granted Administrators right, clicking on the notifications will direct to https://en.wikipedia.beta.wmflabs.org/wiki/Special:ListGroupRights#sysop

The fix is done along with the fix to T57339: "Learn more" link for right change notifications should point to a page about the group.

jmatazzoni closed this task as Resolved.Sep 29 2016, 11:21 PM